> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisdata.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Hotel Availability

Use this request to retrieve available units given pax number, dates and location.

<Tip>   Find all the necessary information regarding the request message [here](../../../hotel/searchRQ)</Tip>

***

<Warning> The endpoint (url) shown in the code snippet is for Sandbox only. If you need to throw the requests from Postman or other tools, please use [https://sintesb.axisdata.net/apu-test/ota](https://sintesb.axisdata.net/apu-test/ota) after whitelisting your IPs. More info at [Access to our Systems](../../../authentication/access)</Warning>


## OpenAPI

````yaml POST /hotelavailability
openapi: 3.0.3
info:
  title: Hotel Availability API
  version: 1.0.0
servers:
  - url: https://ota-int.axisdata.net:9443
    description: Gateway endpoint
security: []
paths:
  /hotelavailability:
    post:
      summary: Hotel availability request
      requestBody:
        required: true
        content:
          application/xml:
            schema:
              $ref: '#/components/schemas/OTA_HotelAvailRQ'
      responses:
        '200':
          description: Success
          content:
            application/xml:
              schema:
                type: string
components:
  schemas:
    OTA_HotelAvailRQ:
      type: string
      format: xml
      default: >-
        <OTA_HotelAvailRQ xmlns="http://www.opentravel.org/OTA/2003/05"
        MaxResponses="200" EchoToken="1" Version="2008.1">
          <POS>
            <Source>
              <RequestorID Instance="MF002" ID_Context="AxisData" ID="TEST" Type="22"/>
            </Source>
            <Source>
              <RequestorID Type="88" ID="TEST" MessagePassword="testpass"/>
            </Source>
          </POS>
          <AvailRequestSegments>
            <AvailRequestSegment InfoSource="12">
              <StayDateRange End="2029-07-24" Start="2029-07-17"/>
              <RoomStayCandidates>
                <RoomStayCandidate>
                  <GuestCounts>
                    <GuestCount Count="2" AgeQualifyingCode="10"/>
                  </GuestCounts>
                </RoomStayCandidate>
              </RoomStayCandidates>
              <HotelSearchCriteria>
                <Criterion>
                  <RefPoint CodeContext="Country">Spain</RefPoint>
                  <RefPoint CodeContext="Region">Mallorca</RefPoint>
                </Criterion>
              </HotelSearchCriteria>
            </AvailRequestSegment>
          </AvailRequestSegments>
        </OTA_HotelAvailRQ>

````